- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
KEYShape.h File Reference
`#include <boost/shared_ptr.hpp>`
`#include "KEYPath_fwd.h"`
`#include "KEYStyle.h"`
`#include "KEYText_fwd.h"`

Go to the source code of this file.

## Classes
struct | libetonyek::KEYShape
| Representation of a shape. More...

## Namespaces
| libetonyek

## Typedefs
typedef boost::shared_ptr < KEYShape > | libetonyek::KEYShapePtr_t

## Functions
KEYObjectPtr_t | libetonyek::makeObject (const KEYShapePtr_t &shape)
| Object creator function for shape. More...
KEYPathPtr_t | libetonyek::makePolygonPath (const KEYSize &size, unsigned edges)
| Path creator functions for stock shapes. More...
KEYPathPtr_t | libetonyek::makeRoundedRectanglePath (const KEYSize &size, const double radius)
KEYPathPtr_t | libetonyek::makeArrowPath (const KEYSize &size, const double headWidth, const double stemThickness)
KEYPathPtr_t | libetonyek::makeDoubleArrowPath (const KEYSize &size, const double headWidth, const double stemThickness)
KEYPathPtr_t | libetonyek::makeStarPath (const KEYSize &size, const unsigned points, const double innerRadius)
KEYPathPtr_t | libetonyek::makeConnectionPath (const KEYSize &size, const double middleX, const double middleY)
KEYPathPtr_t | libetonyek::makeCalloutPath (const KEYSize &size, const double radius, const double tailSize, const double tailX, const double tailY)
KEYPathPtr_t | libetonyek::makeQuoteBubblePath (const KEYSize &size, const double radius, const double tailSize, const double tailX, const double tailY)